await seam.accessGrants.update({
access_grant_id: "4ec65722-bf38-4b2f-b4c8-f488aa6ba3f1",
starts_at: "2025-06-19T18:01:32.000Z",
ends_at: "2025-06-22T13:24:50.000Z",
});
/*
// void
*/{}Access Grants
Update an Access Grant
Updates an existing Access Grant’s time window.
You must include at least one request parameter.
PATCH
/
access_grants
/
update
await seam.accessGrants.update({
access_grant_id: "4ec65722-bf38-4b2f-b4c8-f488aa6ba3f1",
starts_at: "2025-06-19T18:01:32.000Z",
ends_at: "2025-06-22T13:24:50.000Z",
});
/*
// void
*/{}Authorizations
pat_with_workspaceconsole_session_with_workspaceapi_keyclient_session_with_customer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the Access Grant to update. Provide either access_grant_id or access_grant_key.
Key of the Access Grant to update. Provide either access_grant_id or access_grant_key.
Minimum string length:
1Display name for the access grant.
Response
OK
The response is of type object.
Was this page helpful?